incorrect include path in pkgconfig file

Bug #1125156 reported by Sebastien Bacher on 2013-02-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qt3d-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtdeclarative-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtlocation-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtmultimedia-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtquick1-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtsensors-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtsvg-opensource-src (Ubuntu)
Low
Timo Jyrinki
qttools-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtwebkit-opensource-src (Ubuntu)
Low
Timo Jyrinki
qtxmlpatterns-opensource-src (Ubuntu)
Low
Timo Jyrinki

Bug Description

Spotted during binNEW review, Qt5Svg.pc has:
"Libs.private: -lQt5Widgets -L/usr/lib/i386-linux-gnu/i386-linux-gnu -lQt5Gui -lQt5Core -lpthread -lz -lGL "

the "/usr/lib/i386-linux-gnu/i386-linux-gnu" seems wrong, it should have only the multiarch tripplet subdir once

Sebastien Bacher (seb128) wrote :

(the binary is libqt5svg5-dev_5.0.1-0ubuntu1_i386.deb but e.g amd64 is having a similar issue)

Changed in qtsvg-opensource-src (Ubuntu):
assignee: nobody → miRv (mirv)
assignee: miRv (mirv) → Timo Jyrinki (timo-jyrinki)
Sebastien Bacher (seb128) wrote :

same issue with qtxmlpatterns

Sebastien Bacher (seb128) wrote :

(Qt5XmlPatterns.pc in libqt5xmlpatterns5-dev_5.0.1-0ubuntu2_i386.deb)

Changed in qtxmlpatterns-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → Confirmed
Changed in qtsvg-opensource-src (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

Possibly an upstream bug that doesn't get easily noticed since usually Qt projects don't use pkgconfig to find Qt modules, but use qmake files. Especially the other Qt modules that are the users of private libraries.

Sebastien Bacher (seb128) wrote :

same in qttools5-dev_5.0.1-0ubuntu1_i386.deb as well

Changed in qttools-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → Confirmed
Changed in qtsvg-opensource-src (Ubuntu):
status: Confirmed → In Progress
Changed in qttools-opensource-src (Ubuntu):
status: Confirmed → In Progress
Changed in qtxmlpatterns-opensource-src (Ubuntu):
status: Confirmed → In Progress
Timo Jyrinki (timo-jyrinki) wrote :

The three branches offer an identical fix (workaround) for the issue.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtsvg-opensource-src - 5.0.1-0ubuntu2

---------------
qtsvg-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)
 -- Timo Jyrinki <email address hidden> Thu, 14 Feb 2013 13:31:42 +0000

Changed in qtsvg-opensource-src (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtxmlpatterns-opensource-src - 5.0.1-0ubuntu3

---------------
qtxmlpatterns-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)
 -- Timo Jyrinki <email address hidden> Thu, 14 Feb 2013 14:57:21 +0000

Changed in qtxmlpatterns-opensource-src (Ubuntu):
status: In Progress → Fix Released
Changed in qtdeclarative-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → In Progress
Changed in qtmultimedia-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
status: New → In Progress
Changed in qtwebkit-opensource-src (Ubuntu):
status: New → In Progress
importance: Undecided → Low
Changed in qtmultimedia-opensource-src (Ubuntu):
importance: Undecided → Low
Changed in qtquick1-opensource-src (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtwebkit-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qt3d-opensource-src (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtsensors-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → In Progress
Changed in qtlocation-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
importance: Undecided → Low
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qttools-opensource-src - 5.0.1-0ubuntu2

---------------
qttools-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)
 -- Timo Jyrinki <email address hidden> Thu, 14 Feb 2013 14:58:25 +0000

Changed in qttools-opensource-src (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt3d-opensource-src - 5.0~git20130109-0ubuntu2

---------------
qt3d-opensource-src (5.0~git20130109-0ubuntu2) raring; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * debian/patches/workaround_zlib_linking_issue.patch:
    - Fix FTBFS

  [ Didier Roche ]
  * Fixed some small copyright issues
 -- Didier Roche <email address hidden> Fri, 15 Feb 2013 12:52:28 +0100

Changed in qt3d-opensource-src (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtmultimedia-opensource-src - 5.0.1-0ubuntu2

---------------
qtmultimedia-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * Add qtdeclarative5-qtaudioengine-plugin

  [ Didier Roche ]
  * Add libqt5multimediaquick-qt5 R/C/P libqt5multimediaquick5 to transition
    from the sdk ppa to raring
 -- Didier Roche <email address hidden> Thu, 21 Feb 2013 16:11:14 +0000

Changed in qtmultimedia-opensource-src (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtdeclarative-opensource-src - 5.0.1-0ubuntu3

---------------
qtdeclarative-opensource-src (5.0.1-0ubuntu3) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)
 -- Timo Jyrinki <email address hidden> Thu, 21 Mar 2013 06:48:55 +0000

Changed in qtdeclarative-opensource-src (Ubuntu):
status: In Progress → Fix Released
Changed in qtlocation-opensource-src (Ubuntu):
status: In Progress → Fix Committed
Changed in qtquick1-opensource-src (Ubuntu):
status: In Progress → Fix Committed
Changed in qtsensors-opensource-src (Ubuntu):
status: In Progress → Fix Committed
Changed in qtwebkit-opensource-src (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtsensors-opensource-src - 5.0~git20130507-0ubuntu1

---------------
qtsensors-opensource-src (5.0~git20130507-0ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * New upstream snapshot.

  [ Ken VanDine ]
  * debian/control
    - Only build for arches supported by qtdeclarative
 -- Timo Jyrinki <email address hidden> Wed, 08 May 2013 11:27:52 +0300

Changed in qtsensors-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtwebkit-opensource-src - 5.0.1-0ubuntu2

---------------
qtwebkit-opensource-src (5.0.1-0ubuntu2) saucy; urgency=low

  [ Olivier Tilloy ]
  * debian/patches/DidFirstLayout.patch: added, fix progressive rendering
    (LP: #1119344)

  [ Ricardo Salveti de Araujo ]
  * debian/patches: renaming disabling_optmizations.patch to
    disabling_jit_for_arm.patch as the only thing it's disabling now is JIT
    (LP: #1153794)
  * debian/patches/add_experimentalDevicePixelRatio.patch: refreshing patch on
    top of qtwebkit 5.0.1
  * debian/patches/devicePixelResolution.patch: updating patch description

  [ Ken VanDine ]
  * debian/control
    - Added missing depends to libqt5webkit5-dev

  [ Timo Jyrinki ]
  * 5.0.1 build until 5.0.2 DPR problems resolved
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * Add patches from upstream:
    - debian/patches/LLIntCLoop32BigEndian.patch
    - debian/patches/fixTriggerOSKonWebPages.patch
    - debian/patches/file_access.patch (LP: #1175836)
    - debian/patches/fix_gcc48.patch
    - debian/patches/add_module_version.patch
  * Add Ubuntu patches:
    - debian/patches/add_experimentalDevicePixelRatio.patch
    - debian/patches/disabling_optmizations.patch
 -- Timo Jyrinki <email address hidden> Mon, 20 May 2013 12:00:17 +0300

Changed in qtwebkit-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtquick1-opensource-src - 5.0.2-0ubuntu1

---------------
qtquick1-opensource-src (5.0.2-0ubuntu1) saucy; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)
  * New upstream version.
    - Drop debian/patches/add_license_files.patch, merged upstream
    - Depend on 5.0.2 versions except for qtwebkit for now
 -- Timo Jyrinki <email address hidden> Thu, 02 May 2013 10:19:11 -0700

Changed in qtquick1-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtlocation-opensource-src - 5.0~git20130805-0ubuntu1

---------------
qtlocation-opensource-src (5.0~git20130805-0ubuntu1) saucy; urgency=low

  * New upstream snapshot
    - Add OpenStreetMap plugin
  * Separate position and geoservices plugins into libqt5location5-plugins
  * Drop patches
    - debian/patches/add_license_files.patch, merged upstream
    - debian/patches/build_fixes.patch, not needed anymore
    - debian/patches/force_imports.patch, not needed anymore
    - debian/patches/add_module_version.patch, not needed anymore
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * Add debian/patches/disable_nokia_plugin.patch:
    - Drop obsolete nokia plugin
  * Add debian/patches/add_support_for_ubuntu_platform.patch
    - Adds Ubuntu position plugin
    - Build-depend on libplatform-api1-dev
    - Currently build only on armhf, enable on x86 later
  * debian/rules:
    - Switch to dh --fail-missing
  * debian/control:
    - Add warning texts as the module is not yet released
 -- Timo Jyrinki <email address hidden> Thu, 15 Aug 2013 08:24:42 +0300

Changed in qtlocation-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers